Bug 5250 - [UPDATE REQUEST] fglrx 14.301.1001-4: fix for kernel 3.17+
: [UPDATE REQUEST] fglrx 14.301.1001-4: fix for kernel 3.17+
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High major
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-21 16:09 MSK by Andrey Ponomarenko
Modified: 2015-03-30 11:20 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2015-03-21 16:09:23 MSK
Advisory: fglrx driver for Radeon graphics cards was updated to 14.301.1001-4 version:

1. Support for kernel 3.17+

Build lists:

https://abf.rosalinux.ru/build_lists/2474555 (x86_64)
https://abf.rosalinux.ru/build_lists/2474554 (x86)
Comment 1 Andrey Ponomarenko 2015-03-21 16:20:01 MSK
Lenovo G570 + R5 + kernel 3.18.9: http://hw.rosalinux.ru/index.php?probe=ca9fe6768c

boot, sound, graphics, fgl_glxgears, glxgears: Ok

Increased glxgears FPS from:

23883 frames in 5.0 seconds = 4775.057 FPS
23623 frames in 5.0 seconds = 4724.487 FPS
23833 frames in 5.0 seconds = 4766.497 FPS 

to:

25596 frames in 5.0 seconds = 5119.129 FPS
25709 frames in 5.0 seconds = 5141.711 FPS
25691 frames in 5.0 seconds = 5138.022 FPS
Comment 2 FirstLevel 2015-03-24 18:03:03 MSK
32bit

old

[sergei-32@r5-32 ~]$ glxgears
11025 frames in 5.0 seconds = 2204.862 FPS
11089 frames in 5.0 seconds = 2217.151 FPS
10920 frames in 5.0 seconds = 2183.925 FPS

[sergei-32@r5-32 ~]$ uname -a
Linux r5-32 3.14.33-nrj-desktop-1rosa #1 SMP PREEMPT Wed Feb 11 09:34:43 UTC 2015 i686 i686 i686 GNU/Linux
[sergei-32@r5-32 ~]$ 


new

[sergei-32@r5-32 ~]$ glxgears
11158 frames in 5.0 seconds = 2231.490 FPS
11687 frames in 5.0 seconds = 2337.256 FPS
11864 frames in 5.0 seconds = 2371.788 FPS
^C
[sergei-32@r5-32 ~]$ 


64bit

old
[sergei@r5-64 ~]$ glxgears
12198 frames in 5.0 seconds = 2439.580 FPS
11808 frames in 5.0 seconds = 2361.497 FPS
12152 frames in 5.0 seconds = 2429.828 FPS
^C
[sergei@r5-64 ~]$ 


new
[sergei@r5-64 ~]$ glxgears
12202 frames in 5.0 seconds = 2440.295 FPS
12317 frames in 5.0 seconds = 2463.396 FPS
12348 frames in 5.0 seconds = 2469.571 FPS
11876 frames in 5.0 seconds = 2375.051 FPS
^C
[sergei@r5-64 ~]$ 


sleeping and waiting mode works well for 32 an 64 bit
Comment 3 Vladimir Potapov 2015-03-24 18:49:29 MSK
The update sent to expanded testing
************************************
Comment 4 Vladimir Potapov 2015-03-30 08:43:56 MSD
fglrx-14.301.1001-4
https://abf.rosalinux.ru/build_lists/2474554 (x86)
https://abf.rosalinux.ru/build_lists/2474555 (x86_64)
****************************** Advisory ************************
glrx driver for Radeon graphics cards was updated to 14.301.1001-4 version:

1. Support for kernel 3.17+
****************************************************************
QA Verified